<script context="module">
	import { MAIN } from "../../constants.js";

	export async function preload({ params, query }) {
		const res = await this.fetch(`${MAIN}organizations/${params.slug}`);
		const organization = await res.json();

		if (res.status === 200) {
			return { organization };
		} else {
			this.error(res.status, organization.message);
		}
	}
</script>

<script>
	import Flatpickr from "svelte-flatpickr";

	import "flatpickr/dist/flatpickr.css";
	import "flatpickr/dist/themes/light.css";

	export let organization;

	let start_date = new Date(organization.start_date);
	let end_date = new Date(organization.end_date);
</script>

<style>
	.content :global(h2) {
		font-size: 1.4em;
		font-weight: 500;
	}

	.content :global(pre) {
		background-color: #f9f9f9;
		box-shadow: inset 1px 1px 5px rgba(0, 0, 0, 0.05);
		padding: 0.5em;
		border-radius: 2px;
		overflow-x: auto;
	}

	.content :global(pre) :global(code) {
		background-color: transparent;
		padding: 0;
	}

	.content :global(ul) {
		line-height: 1.5;
	}

	.content :global(li) {
		margin: 0 0 0.5em 0;
	}
</style>

<svelte:head>
	<title>{organization.company_name}</title>
</svelte:head>

<h1>{organization.company_name}</h1>

<picture>
<img src={organization.logo} alt={organization.brand_name}>
</picture>

<div class="content">
	<Flatpickr bind:value={start_date} placeholder="optional placeholder" />
	<span>-</span>
	<Flatpickr bind:value={end_date} placeholder="optional placeholder" />
</div>


